Authentication Bypass

Affecting expressjs-ip-control package, versions <1.0.7

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

expressjs-ip-control is a package to whitelist IP addresses also support for X-Forwarded-For ip addresses.

Affected versions of this package are vulnerable to Authentication Bypass. The IP whitelisting check can be passed by manipulating the X-Forwarded-For header.

Remediation

Upgrade expressjs-ip-control to version 1.0.7 or higher.

References

CVSS Score

6.5
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    Low
  • Integrity
    Low
  • Availability
    None
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:N/E:P/RL:O/RC:C
Credit
mik317
CWE
CWE-287
Snyk ID
SNYK-JS-EXPRESSJSIPCONTROL-1024442
Disclosed
29 Oct, 2020
Published
16 Nov, 2020